summaryrefslogtreecommitdiffstats
path: root/controller/libexec/dtf-nova.in
diff options
context:
space:
mode:
Diffstat (limited to 'controller/libexec/dtf-nova.in')
-rw-r--r--controller/libexec/dtf-nova.in11
1 files changed, 11 insertions, 0 deletions
diff --git a/controller/libexec/dtf-nova.in b/controller/libexec/dtf-nova.in
new file mode 100644
index 0000000..e4a7791
--- /dev/null
+++ b/controller/libexec/dtf-nova.in
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -o pipefail
+
+# Remove the boxing around raw nova output data
+nova "$@" | sed \
+ -e '1,3d' \
+ -e '$d' \
+ -e 's/^| //' \
+ -e 's/[[:space:]]*|$//' \
+ -e 's/[[:space:]]*|[[:space:]]*/\t/g'